newsbody(1)

NAME
newsbody - Run a program on the body of a mail or news message

SYNOPSIS
newsbody [-fhqsv] [-k headername ] -n message -p program [-- [ arguments... ]]

DESCRIPTION
newsbody copies the body of a news or email article in message to a temporary file (called the bodyfile) and then calls program with its arguments. program is supposed to somehow change the bodyfile. It can for instance be a spell checker. Afterwards the possibly changed body is remerged with the headers and copied back into the message.

If message is specified as - then newsbody will act as a filter, i.e. standard input and standard output will be used.

%f in the arguments will be expanded to the name of the bodyfile, or - if the -f option is used. Use %% for a real % character.

OPTIONS

-f  The called program is a filter so don't make a temporary file, but pipe the body to its standard input and read it back from its standard output.

-h  Keep the entire header. This flag can also be used if newsfile doesn't have a header at all.

-q  Also remove quotes before filtering the body. Lines starting with > are considered quotes.

-s  Also remove signature before filtering the body.

-k headername
    Keep these header lines in the bodyfile. Multiple -k flags are allowed.

-v  Print the version and exit.

FILES
newsbody uses one or two temporary files with names given by the mkstemp(3) or the tmpnam(3) function.

BUGS
If some system call gives an unexpected error newsbody will stop immediately with an error message leaving its temporary files.

AUTHOR
Byrial Jensen <byrial@image.dk>

SEE ALSO
pospell(1).